module top(
  clk,
  reset_n,
  ir_in,
  
  out,
  ss1,
  ss0
);
  input clk;
  input reset_n;
  input ir_in;
  
  output [7:0] out;
  output [7:0] ss1;
  output [7:0] ss0;

  // The input signal is asynchronous with respect to clk; synchronize it.
  reg d1_ir_in;
  reg ir;
  always @(posedge clk or negedge reset_n) begin
    if (!reset_n) begin
       d1_ir_in <= 1;
       ir <= 1;
    end
    else begin
      d1_ir_in <= ir_in;
      ir <= d1_ir_in;
    end
  end

  sys the_sys(
    .ir (ir),
    .out (out),
    .ss1 (ss1),
    .ss0 (ss0)
  );

  st_module the_st_module(
    .clk (clk),
    .reset_n (reset_n),
    .data_in (ir)
  );
endmodule
